ID CVE-2020-26800
Summary A stack overflow vulnerability in Aleth Ethereum C++ client version <= 1.8.0 using a specially crafted a config.json file may result in a denial of service.
References
Vulnerable Configurations
  • cpe:2.3:a:ethereum:aleth:-:*:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:-:*:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:0.3.10:*:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:0.3.10:*:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.3.0:*:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.3.0:*:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.4.0:-:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.4.0:-:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.4.0:rc0:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.4.0:rc0:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.4.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.4.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.4.0:rc2:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.4.0:rc2:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.4.0:rc3:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.4.0:rc3:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.4.0:rc4:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.4.0:rc4:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.4.0:rc5:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.4.0:rc5:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.4.0:rc6:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.4.0:rc6:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.4.0:rc7:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.4.0:rc7:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.0:-:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.0:-:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.0:alpha:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.0:alpha:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.0:alpha3:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.0:alpha3:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.0:alpha4:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.0:alpha4:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.0:alpha5:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.0:alpha5:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.0:alpha6:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.0:alpha6:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.0:alpha7:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.0:alpha7:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.0:rc0:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.0:rc0:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.1:*:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.1:*:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.5.2:*:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.5.2:*:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.6.0:-:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.6.0:-:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.6.0:alpha0:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.6.0:alpha0:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.6.0:alpha1:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.6.0:alpha1:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.6.0:rc0:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.6.0:rc0:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.6.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.6.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.7.0:-:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.7.0:-:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.7.0:alpha0:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.7.0:alpha0:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.7.0:alpha1:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.7.0:alpha1:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.7.0:alpha2:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.7.0:alpha2:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.7.0:rc0:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.7.0:rc0:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.7.0:rc1:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.7.0:rc1:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.7.1:*:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.7.1:*:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.7.2:*:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.7.2:*:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.8.0:-:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.8.0:-:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.8.0:alpha0:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.8.0:alpha0:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.8.0:alpha1:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.8.0:alpha1:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.8.0:alpha2:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.8.0:alpha2:*:*:*:*:*:*
  • cpe:2.3:a:ethereum:aleth:1.8.0:alpha3:*:*:*:*:*:*
    cpe:2.3:a:ethereum:aleth:1.8.0:alpha3:*:*:*:*:*:*
CVSS
Base: 4.3 (as of 13-01-2021 - 19:57)
Impact:
Exploitability:
CWE CWE-787
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
NONE NONE PARTIAL
cvss-vector via4 AV:N/AC:M/Au:N/C:N/I:N/A:P
Last major update 13-01-2021 - 19:57
Published 11-01-2021 - 13:15
Last modified 13-01-2021 - 19:57
Back to Top